#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-1IZFeW7H5YAEUNtsZDyMAw
key:                  hoogle-5.0.18.4-1IZFeW7H5YAEUNtsZDyMAw
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  bfe442c151eb8469de4ac144ffe483ee
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-1IZFeW7H5YAEUNtsZDyMAw
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-ETIaN96hws5IxTx9oCxxHN
    aeson-2.1.2.1-9T6l6SxZl5u1C3PaFHxalW base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.2.0-Ji5j64Spyzt5Tj6Tm60vv0
    blaze-markup-0.8.3.0-D8JC0oXdxdVGAJJuQxYUcB bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.6-7XhR2ax9qCFCYitRevMXBd
    conduit-extra-1.3.6-LNjgpnvA8Q8Ct50nG3gLWQ containers-0.6.5.1
    crypton-connection-0.3.2-Ast5NXqnZIdHPHUTw7p3xN deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.16-FItup04n4x48U0x0uU8NTQ
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.4.0-JynHLbpSPE72B4j6uWctY4
    haskell-src-exts-1.23.1-IWcuqDdKAvs8pCAXKqJccv
    http-conduit-2.3.9.1-DydMFPA6sNc1DuMH7G82BC
    http-types-0.12.4-9Ur1ShtqVpgp5ryNgXxt8
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-2BsjFGDrFLW1fZ8uArII30
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-LvWy4DVPGB6JRjl4tODsPx
    resourcet-1.2.6-LfGMMseD8gYHfEEaghmlUT
    safe-0.3.21-4ynkTB2vBWyGWx3PTLGArE
    storable-tuple-0.1-4Qqakkl4ieoJHAQpwYlyIZ
    tar-0.5.1.1-3eyr78q2z6D9NxgxB6cT2C template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-Gf07d7FJHcU5jsGit4YGHd
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI
    vector-0.13.1.0-JX40x5KeA95953did9SvPW
    wai-3.2.4-D36lDqHeOiN8tj0bmewMtj
    wai-logger-2.5.0-D0Ve5cAxlyL5KQLlV17jyE
    warp-3.3.30-5JFAGoCFAV66DE4hUxsVeL
    warp-tls-3.4.9-L1JUDUabL29DWyVaH02rwv
    zlib-0.6.3.0-5gxki6H4yPyJLzuGEYYfcG

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

